Create group
curl --request POST \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"description": "my team's group",
"managed": true,
"name": "my group"
}
EOFimport requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups"
payload = {
"description": "my team's group",
"managed": True,
"name": "my group"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'my team\'s group', managed: true, name: 'my group'})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"managed": true,
"name": "<string>",
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Groups
Create group
API endpoint to create a new user group in Blink.
POST
/
workspace
/
{ws_id}
/
table
/
sys_groups
Create group
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
Group details
Was this page helpful?
⌘I